#### Fix `--cache` set only if with `--write` or `--no-different` (#13016 by @Milly)

Do not save formatted cache if without `--write` option and the file is modifies by prettier.

Before fixed, always save formatted cache if with `--cache` option.
Therefore, unformatted files will never be formatted.

**2.7:**

```
> prettier --cache foo.js
# Show formatted contents of `foo.js`.
# Then the cache is created and `foo.js` is flagged as already formatted.

> prettier --cache --write foo.js
foo.js 2ms (cached)
# "... (cached)" means that the file is already formatted and do nothing this time.
```

**2.8:**

```
> prettier --cache foo.js
# Show formatted contents of `foo.js`.

> prettier --cache --write foo.js
foo.js 2ms
# `foo.js` has
```
